#include <stdio.h>
#include <stdlib.h>
#include <math.h>

long brc(long a){
  long a1=a;
  long br=0;
  while(a1>=10){
    a1/=10;
    br++;
  }
  br+=1;
  return br;
}
long exp1(long a){
  long a1=a;
  long p=1;
  while(a1>0){
    p*=10;
    a1-=1;
  }
  return p;
}
int main()
{
    long a,b,c,max;
    scanf("%ld %ld %ld",&a, &b, &c);
    long n[6];
    long a1=brc(a),b1=brc(b),c1=brc(c);
    long a2=exp1(a1),b2=exp1(b1), c2=exp1(c1);
    n[0]=a*b2*c2+b*c2+c;
    n[1]=a*b2*c2+c*b2+b;
    n[2]=b*a2*c2+a*c2+c;
    n[3]=b*a2*c2+c*a2+a;
    n[4]=c*b2*a2+a*b2+b;
    n[5]=c*b2*a2+b*a2+a;
    max=n[0];
    int i;
    for(i=1;i<6;i++){
        if(max<n[i])max=n[i];
    }
    printf("%ld ", max);
}